clang 8.0.0

Public Member Functions | List of all members
clang::FileNullabilityMap Class Reference

A mapping from file IDs to a record of whether we've seen nullability information in that file. More...

`#include "clang/Sema/Sema.h"`

Collaboration diagram for clang::FileNullabilityMap:
[legend]

## Public Member Functions
FileNullability & | operator[] (FileID file)

## Detailed Description

A mapping from file IDs to a record of whether we've seen nullability information in that file.

Definition at line 249 of file Sema.h.

## Member Function Documentation

## ◆ operator[]()

FileNullability& clang::FileNullabilityMap::operator[] | ( | FileID | file | ) |
| inline

Definition at line 260 of file Sema.h.

## Member Data Documentation

## ◆ File

FileID clang::FileNullabilityMap::File

Definition at line 255 of file Sema.h.

## ◆ Nullability

FileNullability clang::FileNullabilityMap::Nullability

Definition at line 256 of file Sema.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h